Bug 1040543 - (CVE-2017-9214) VUL-0: CVE-2017-9214: openvswitch: buffer over-read when parsing an OFPT_QUEUE_GET_CONFIG_REPLY type OFP 1.0 message
(CVE-2017-9214)
VUL-0: CVE-2017-9214: openvswitch: buffer over-read when parsing an OFPT_QUEU...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/185840/
CVSSv3:SUSE:CVE-2017-9214:7.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-24 08:33 UTC by Johannes Segitz
Modified: 2018-02-21 15:37 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-05-24 08:33:20 UTC
CVE-2017-9214

In Open vSwitch (OvS) 2.7.0, while parsing an OFPT_QUEUE_GET_CONFIG_REPLY type
OFP 1.0 message, there is a buffer over-read that is caused by an unsigned
integer underflow in the function `ofputil_pull_queue_get_config_reply10` in
`lib/ofp-util.c`.

Patch: https://mail.openvswitch.org/pipermail/ovs-dev/2017-May/332711.html

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9214
http://www.cvedetails.com/cve/CVE-2017-9214/
https://mail.openvswitch.org/pipermail/ovs-dev/2017-May/332711.html
Comment 2 Markos Chandras 2017-09-19 09:08:59 UTC
Fix accepted so marking as RESOLVED
Comment 4 Johannes Segitz 2017-09-19 14:45:31 UTC
reopened for tracking
Comment 5 Swamp Workflow Management 2018-01-31 14:07:08 UTC
SUSE-SU-2018:0311-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1040543,1041447,1041470,1061310
CVE References: CVE-2017-14970,CVE-2017-9214,CVE-2017-9263,CVE-2017-9265
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    openvswitch-2.5.1-25.12.7
SUSE Linux Enterprise Server 12-SP2 (src):    openvswitch-2.5.1-25.12.7, openvswitch-dpdk-2.5.1-25.12.8
Comment 6 Marcus Meissner 2018-02-12 21:08:47 UTC
released
Comment 7 Swamp Workflow Management 2018-02-21 11:10:52 UTC
SUSE-SU-2018:0505-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1040543,1041447,1041470,1050896,1061310
CVE References: CVE-2017-14970,CVE-2017-9214,CVE-2017-9263,CVE-2017-9265
Sources used:
SUSE OpenStack Cloud 6 (src):    openvswitch-2.5.1-6.4.7